#ifndef __JBIG2EN_H__
#define __JBIG2EN_H__

#include <windows.h>

#if 1
#define DllExport   __declspec( dllexport )
#else
#define DllExport
#endif

#ifdef __cplusplus
extern "C" {
#endif

DECLARE_HANDLE(HDIB);

typedef struct JBIG2DATAtag {
    int		width;
    int		height;
    int		length;
    char	*data;
} JBIG2DATA, *LPJBIG2DATA;

DllExport LPJBIG2DATA WINAPI JBIG2SDK_ConvertBWTIFF2JBIG2Data(const char *lpInputTIFF);
DllExport LPJBIG2DATA WINAPI JBIG2SDK_ConvertDIB2JBIG2Data(HDIB hDIB);
DllExport HDIB        WINAPI JBIG2SDK_ConvertJBIG2Data2DIB(LPJBIG2DATA lpJBIG2Data);
DllExport VOID	      WINAPI JBIG2SDK_FreeJBIG2Data(LPJBIG2DATA lpJBIG2Data);
DllExport VOID	      WINAPI JBIG2SDK_FreeHDIBData(HDIB hDIB);
DllExport VOID	      WINAPI JBIG2SDK_SetLicenseKey(const char *lpCode);

#ifdef __cplusplus
}
#endif

#endif //__JBIG2EN_H__